mxGraphModel.mxTerminalChange (JGraph X 2.1.0.7 API Specification)
Date: 2013-07-31

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JGraph X 2.1.0.7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.mxgraph.model
Class mxGraphModel.mxTerminalChange

    java.lang.Object
      com.mxgraph.model.mxIGraphModel.mxAtomicGraphModelChange
          com.mxgraph.model.mxGraphModel.mxTerminalChange

All Implemented Interfaces:
  mxUndoableEdit.mxUndoableChange

Enclosing class:
  mxGraphModel

    public static class mxGraphModel.mxTerminalChange

extends mxIGraphModel.mxAtomicGraphModelChange

Field Summary
`protected Object` | `cell`
`protected Object` | `previous`
`protected boolean` | `source`
`protected Object` | `terminal`

Fields inherited from class com.mxgraph.model.mxIGraphModel.mxAtomicGraphModelChange
`model`

Constructor Summary
`mxGraphModel.mxTerminalChange()`
`mxGraphModel.mxTerminalChange(mxGraphModel model, Object cell, Object terminal, boolean source)`

Method Summary
`void` | `execute()` Changes the root of the model.
`Object` | `getCell()`
`Object` | `getPrevious()`
`Object` | `getTerminal()`
`boolean` | `isSource()`
`void` | `setCell(Object value)`
`void` | `setPrevious(Object value)`
`void` | `setSource(boolean value)`
`void` | `setTerminal(Object value)`

Methods inherited from class com.mxgraph.model.mxIGraphModel.mxAtomicGraphModelChange
`getModel, setModel`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### cell

    protected Object cell

### terminal

    protected Object terminal

### previous

    protected Object previous

### source

    protected boolean source

Constructor Detail

### mxGraphModel.mxTerminalChange

    public mxGraphModel.mxTerminalChange()

### mxGraphModel.mxTerminalChange

    public mxGraphModel.mxTerminalChange(mxGraphModel model,
                                         Object cell,
                                         Object terminal,
                                         boolean source)

Method Detail

### setCell

    public void setCell(Object value)

### getCell

    public Object getCell()

  Returns:
    the cell

### setTerminal

    public void setTerminal(Object value)

### getTerminal

    public Object getTerminal()

  Returns:
    the terminal

### setPrevious

    public void setPrevious(Object value)

### getPrevious

    public Object getPrevious()

  Returns:
    the previous

### setSource

    public void setSource(boolean value)

### isSource

    public boolean isSource()

  Returns:
    the isSource

### execute

    public void execute()

  Changes the root of the model.

  Specified by:
    `execute` in interface `mxUndoableEdit.mxUndoableChange`
  Specified by:
    `execute` in class `mxIGraphModel.mxAtomicGraphModelChange`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JGraph X 2.1.0.7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2010 Gaudenz Alder. All rights reserved.